"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("..");
const fs_1 = require("fs");
describe("isPng", () => {
    it("detects a png file as png", () => {
        const buffer = fs_1.readFileSync(`${__dirname}/fixtures/red-blue-gradient-256px.png`);
        expect(__1.isPng(buffer)).toBe(true);
    });
    it("detects a jpg file to not be a png file", () => {
        const buffer = fs_1.readFileSync(`${__dirname}/fixtures/red-blue-gradient-256px.jpg`);
        expect(__1.isPng(buffer)).toBe(false);
    });
    it("detects a text file to not be a png file", () => {
        const buffer = fs_1.readFileSync(`${__dirname}/fixtures/text-file.txt`);
        expect(__1.isPng(buffer)).toBe(false);
    });
    it("detects an empty file to not be a png file", () => {
        const buffer = fs_1.readFileSync(`${__dirname}/fixtures/empty-file.txt`);
        expect(__1.isPng(buffer)).toBe(false);
    });
});
