"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColorType = void 0;
/**
 * The color type from libpng represented as a string.
 * This describes how the actual image pixels are defined.
 */
var ColorType;
(function (ColorType) {
    /**
     * Libpng color type `PNG_COLOR_TYPE_GRAY` (0).
     */
    ColorType["GRAY_SCALE"] = "gray-scale";
    /**
     * Libpng color type `PNG_COLOR_TYPE_RGB` (2).
     */
    ColorType["RGB"] = "rgb";
    /**
     * Libpng color type `PNG_COLOR_TYPE_PALETTE` (3).
     */
    ColorType["PALETTE"] = "palette";
    /**
     * Libpng color type `PNG_COLOR_TYPE_GRAY_ALPHA` (4).
     */
    ColorType["GRAY_SCALE_ALPHA"] = "gray-scale-alpha";
    /**
     * Libpng color type `PNG_COLOR_TYPE_RGB_ALPHA ` (6).
     */
    ColorType["RGBA"] = "rgba";
    /**
     * Color type parsing failed.
     */
    ColorType["UNKNOWN"] = "unknown";
})(ColorType = exports.ColorType || (exports.ColorType = {}));
