"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const gray_scale_alpha_1 = require("../gray-scale-alpha");
const rgb_1 = require("../rgb");
describe("The utilities for gray scale alpha colors", () => {
    it("creates a gray scale alpha color", () => {
        const color = gray_scale_alpha_1.colorGrayScaleAlpha(128, 5);
        expect(color.gray).toBe(128);
        expect(color.a).toBe(5);
        expect(color).toEqual([128, 5]);
    });
    describe("checking if a given input is a gray scale alpha color", () => {
        [
            undefined,
            null,
            10,
            "string",
            false,
            true,
            [],
            {},
            [1, 2],
            rgb_1.colorRGB(128, 128, 128),
            Object.assign([1, 2], { gray: 1 }),
        ].forEach(input => {
            it(`detects "${JSON.stringify(input)}" as false`, () => {
                expect(gray_scale_alpha_1.isColorGrayScaleAlpha(input)).toBe(false);
            });
        });
        it("detects a correct input as true", () => {
            expect(gray_scale_alpha_1.isColorGrayScaleAlpha(gray_scale_alpha_1.colorGrayScaleAlpha(128, 128))).toBe(true);
        });
    });
    it("convert to RGBA", () => {
        expect(gray_scale_alpha_1.convertGrayScaleAlphaToRGBA(gray_scale_alpha_1.colorGrayScaleAlpha(100, 20))).toEqual([100, 100, 100, 20]);
    });
});
