"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const gray_scale_1 = require("../gray-scale");
const palette_1 = require("../palette");
describe("The utilities for gray scale colors", () => {
    it("creates a gray scale color", () => {
        const color = gray_scale_1.colorGrayScale(128);
        expect(color.gray).toBe(128);
        expect(color).toEqual([128]);
    });
    describe("checking if a given input is a gray scale color", () => {
        [
            undefined,
            null,
            10,
            "string",
            false,
            true,
            [],
            {},
            [1, 2],
            palette_1.colorPalette(128),
        ].forEach(input => {
            it(`detects "${JSON.stringify(input)}" as false`, () => {
                expect(gray_scale_1.isColorGrayScale(input)).toBe(false);
            });
        });
        it("detects a correct input as true", () => {
            expect(gray_scale_1.isColorGrayScale(gray_scale_1.colorGrayScale(128))).toBe(true);
        });
    });
    it("convert to RGBA", () => {
        expect(gray_scale_1.convertGrayScaleToRGBA(gray_scale_1.colorGrayScale(100))).toEqual([100, 100, 100, 255]);
    });
});
