"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rgb_1 = require("../rgb");
const gray_scale_1 = require("../gray-scale");
describe("The utilities for palette colors", () => {
    it("creates a gray scale alpha color", () => {
        const color = rgb_1.colorRGB(50, 100, 150);
        expect(color.r).toBe(50);
        expect(color.g).toBe(100);
        expect(color.b).toBe(150);
        expect(color).toEqual([50, 100, 150]);
    });
    describe("checking if a given input is a rgb color", () => {
        [
            undefined,
            null,
            10,
            "string",
            false,
            true,
            [],
            {},
            [1, 2],
            [1, 2, 3],
            Object.assign([1, 2, 3], { r: 1 }),
            Object.assign([1, 2, 3], { r: 1, g: 2 }),
            gray_scale_1.colorGrayScale(50),
        ].forEach(input => {
            it(`detects "${JSON.stringify(input)}" as false`, () => {
                expect(rgb_1.isColorRGB(input)).toBe(false);
            });
        });
        it("detects a correct input as true", () => {
            expect(rgb_1.isColorRGB(rgb_1.colorRGB(40, 100, 120))).toBe(true);
        });
    });
    it("convert to RGBA", () => {
        expect(rgb_1.convertRGBToRGBA(rgb_1.colorRGB(100, 90, 80))).toEqual([100, 90, 80, 255]);
    });
});
