import { ColorType } from "../color-type";
import { isColorGrayScaleAlpha, ColorGrayScaleAlpha } from "./gray-scale-alpha";
import { isColorGrayScale, ColorGrayScale } from "./gray-scale";
import { isColorPalette, ColorPalette } from "./palette";
import { isColorRGB, ColorRGB } from "./rgb";
import { isColorRGBA, ColorRGBA } from "./rgba";
export * from "./gray-scale-alpha";
export * from "./gray-scale";
export * from "./palette";
export * from "./rgb";
export * from "./rgba";
export declare type ColorAny = ColorRGB | ColorRGBA | ColorGrayScale | ColorGrayScaleAlpha | ColorPalette;
export declare type ColorNoAlpha = ColorRGB | ColorGrayScale | ColorPalette;
export declare function colorTypeToColorChecker(colorType: ColorType): typeof isColorRGBA | typeof isColorRGB | typeof isColorGrayScale | typeof isColorGrayScaleAlpha | typeof isColorPalette;
export declare function defaultBackgroundColor(colorType: ColorType): ColorGrayScale | ColorRGBA | ColorRGB | ColorPalette | ColorGrayScaleAlpha;
