/// <reference types="node" />
import { PngImage } from "./png-image";
/**
 * Decode a buffer of encoded PNG data into a `PngImage` offering access to the raw image data.
 *
 * @param buffer The buffer to convert.
 *
 * @return the decoded PNG as a `PngImage` instance.
 */
export declare function decode(buffer: Buffer): PngImage;
export declare type ReadPngFileCallback = (error: Error, pngImage?: PngImage) => void;
export declare function readPngFile(path: string, callback: ReadPngFileCallback): void;
export declare function readPngFile(path: string): Promise<PngImage>;
/**
 * Decode a PNG file synchroneously.
 *
 * @param path The path to the file to decode.
 *
 * @return The decoded image.
 */
export declare function readPngFileSync(path: string): PngImage;
