import { XY } from "./xy";
export declare type Rect = [number, number, number, number] & {
    x: number;
    y: number;
    width: number;
    height: number;
    offset: XY;
    dimensions: XY;
};
/**
 * Creates a rectangle.
 *
 * @param offset The coordinates by which the rectangle is offset, top left corner.
 * @param dimenstions The dimensions of the rectangle.
 *
 * @return The created rectangle as an array with getters for the offset as coordinates or raw
 *         number as well as the dimensions.
 */
export declare function rect(x: number, y: number, width: number, height: number): Rect;
export declare function rect(offset: XY, dimensions: XY): Rect;
/**
 * Checks if the given parameter is a rectangle.
 *
 * @param toCheck Parameter to check.
 *
 * @return `true` if the given parameter was a rectangle and `false` otherwise.
 */
export declare function isRect(toCheck: any): toCheck is Rect;
