export declare type XY = [number, number] & {
    x: number;
    y: number;
};
/**
 * Creates a new set of 2D coordinates.
 *
 * @param x The x part of the coordinates.
 * @param y The y part of the coordinates.
 *
 * @return The new coordinates as an array which provides getters for `x` and `y`.
 */
export declare function xy(x: number, y: number): XY;
/**
 * Checks if the given parameter is a set of 2D coordinates.
 *
 * @param coordinates Parameter to check.
 *
 * @return `true` if the given parameter was a set of coordinates and `false` otherwise.
 */
export declare function isXY(coordinates: any): coordinates is XY;
